import request from '@/utils/request'

// 查询实验室类型列表
export function listLabMold(query) {
  return request({
    url: '/laboratory/labMold/list',
    method: 'get',
    params: query
  })
}

// 查询实验室类型详细
export function getLabMold(id) {
  return request({
    url: '/laboratory/labMold/' + id,
    method: 'get'
  })
}

// 新增实验室类型
export function addLabMold(data) {
  return request({
    url: '/laboratory/labMold',
    method: 'post',
    data: data
  })
}

// 修改实验室类型
export function updateLabMold(data) {
  return request({
    url: '/laboratory/labMold',
    method: 'put',
    data: data
  })
}

// 删除实验室类型
export function delLabMold(id) {
  return request({
    url: '/laboratory/labMold/' + id,
    method: 'delete'
  })
}

// 删除实验室类型
export function queryOption(data) {
  return request({
    url: '/laboratory/labMold/queryOption/',
    method: 'post',
    data: data
  })
}
